# Get Current Price

[POST /api/v1/merchant/sell/pricing](https://widget.swapped.com/api/v1/merchant/sell/pricing)

Returns a fiat quote based on the selected payout method and crypto.

### Request Data:

```json
{
    "payout_method": "skrill",
    "crypto_currency": "ETH",
    "fiat_amount": 500,
    "fiat_currency": "EUR",
    "api_key": ""
  }
```

### Request Definition:

* `payout_method`: Payment method slug (e.g., `skrill`, `bank-transfer`). For the full list of supported methods, see [here](/swapped-ramp/off-ramp-integration/supported-payout-methods.md).
* `crypto_currency`: Cryptocurrency code (e.g., `BTC`, `ETH`). For the full list of supported currencies, see [here](/swapped-ramp/off-ramp-integration/cryptocurrencies-and-confirmations.md).
* `fiat_amount`: Fiat amount being sold.
* `fiat_currency`: Fiat currency being sold.

**Optional:**

* `api_key`: The merchant's public key. Identifies the requesting merchant.

### Response Data:

{% code fullWidth="false" %}

```php
{
    "success": true,
    "data": {
        "crypto_amount": 0.16901475,
        "crypto_currency": "ETH",
        "crypto_unit_price": 3069.17,
        "network_fee": 0,
        "fiat_amount_incl_fees": 500,
        "fiat_amount_excl_fees": 481.9,
        "fiat_amount_incl_fees_local": 500,
        "fiat_amount_excl_fees_local": 481.9,
        "fiat_currency": "EUR",
        "markup_fiat_value": 0,
        "processing_fee": 18.1
    }
}
```

{% endcode %}

### Response Definition:

* `crypto_amount`: Amount of crypto the user receives.
* `crypto_currency`: The crypto being sold (e.g., "ETH").
* `crypto_unit_price`: Price of 1 crypto unit in `fiat_currency` (EUR).
* `network_fee`: Blockchain fee in crypto (0 if not applied).
* `fiat_amount_incl_fees`: Total fiat incl. fees (EUR).
* `fiat_amount_excl_fees`: Fiat amount before fees (EUR).
* `fiat_amount_incl_fees_local`: Same as above, in local fiat (EUR here).
* `fiat_amount_excl_fees_local`: Same as above, excl. fees, in local fiat (EUR here).
* `fiat_currency`: User’s fiat currency (also the base currency here).
* `markup_fiat_value`: Merchant-added markup in fiat.
  * **Merchants can add a markup via** <mark style="color:blue;">`dashboard.swapped.com > Settings > Affiliate Fee`</mark>.
  * Only the **workspace owner** can configure this.
* `processing_fee`: Processing fee in fiat (EUR).

{% hint style="danger" %}
All <kbd><mark style="color:red;">/merchant/<mark style="color:red;"></kbd> endpoints are subject to a global rate limit of **100 requests per second**. Exceeding this limit may result in throttling.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swapped.com/swapped-ramp/endpoints/offramp-endpoints/get-current-price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
